<template>
  <div class="mt-2 d-flex justify-content-end">
    <div class="">
      <button type="button" class="fs-7 btn btn-secondary mx-1 mt-4 p-2 px-2 mb-4" @click="goToLecturaCuentas()">
        <i class="fa-regular fa-eye me-1"></i> LECTURA ARCHIVO
      </button>
    </div>
    <div class=" ps-2">
      <button type="button" class="fs-7 btn btn-secondary mx-1 mt-4 p-2 px-2 mb-4" @click="goToPedidosCuenta()">
        <i class="bi bi-plus-square me-1 fs-7"></i> NUEVO ARCHIVO
      </button>
    </div>
  </div>
  <table class="table table-striped" v-if="cabeceraSafinStore.listadoSafin.length > 0">
    <thead>
      <tr>
        <th scope="col">LIQUIDACIÓN</th>
        <th scope="col">TIPO PROCESO</th>
        <th scope="col">DESC PROCESO</th>
        <th scope="col">ARCHIVO</th>
        <th scope="col">FECHA</th>
        <th scope="col">CANTIDAD</th>
        <th scope="col">USUARIO</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="cabecera in cabeceraSafinStore.listadoSafin" :key="cabecera.id_safincab">
        <td v-text="cabecera.d_liq"></td>
        <td v-text="cabecera.tipo_proceso"></td>
        <td v-text="cabecera.d_tipo_proceso"></td>
        <td v-text="cabecera.archivo"></td>
        <td v-text="formatDate(cabecera.f_segu)"></td>
        <td v-text="cabecera.cantidad"></td>
        <td v-text="cabecera.clave"></td>
      </tr>
    </tbody>
  </table>
  <div v-else class="alert alert-secondary" role="alert">
    No hay elementos para mostrar
  </div>
</template>
<script setup lang="ts">

//librerias
import { useRouter } from "vue-router";
import { DateTime } from "luxon";
//store
import { useCabeceraSafinStore } from "@/stores/Liquidaciones/Safin/Safin";

const router = useRouter();
const cabeceraSafinStore = useCabeceraSafinStore();

function formatDate(date: string | null) {
  if (date != null) {
    const fecha = date;
    const dt = DateTime.fromFormat(fecha, "yyyy-MM-dd HH:mm:ss.SSS");
    const fechaFormateada = dt.toFormat("dd/MM/yyyy");
    return fechaFormateada;
  }
}

function goToPedidosCuenta() {
  router.push({
    name: "generar-archivo-safin",
  });
}
function goToLecturaCuentas() {
  router.push({
    name: "inicioLecturaSafin",
  });
}

</script> 
<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped></style>